Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface MarkerBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  SVGMarkerElementBridge

public interface MarkerBridge
extends Bridge

Factory class for vending `Marker` objects.

Method Summary
`Marker` | `createMarker(BridgeContext ctx, org.w3c.dom.Element markerElement, org.w3c.dom.Element paintedElement)` Creates a `Marker` according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createMarker

    public Marker createMarker(BridgeContext ctx,
                               org.w3c.dom.Element markerElement,
                               org.w3c.dom.Element paintedElement)

  Creates a `Marker` according to the specified parameters.

  Parameters:
    `ctx` - the bridge context to use
    `markerElement` - the element that represents the marker
    `paintedElement` - the element that references the marker element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.